<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$accion=$_REQUEST['accion'];
$enlace=cargar_conexion();
set_time_limit(3000); 

///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
if ($_POST['bandera']==2) {
	if ($_POST['pass1']!=$_POST['pass2']) {
		$mensaje='Claves ingresadas son diferentes, intente de nuevo...1';
		$accion==11;
	} else {		
		$consulta=mysqli_query($enlace,"update personal set clave='".strtoupper($_POST['pass1'])."', mensaje='".$_POST['email']."' where id='".$_SESSION['id_validar']."' and codigo='".$_SESSION['cedula_validar']."'");
		$_SESSION['email_validar']=$_POST['email'];	
		$mensaje='Password Actualizado...';
	}	
}

///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
menu();
$entra=0;
echo "<b>Opciones:</b> ";
echo "&nbsp;&nbsp;<a href='".$_SERVER['PHP_SELF']."'><img border = 0 src='img2/apuntes.png' alt='Inicio'>&nbsp;Inicio</a>";
echo "&nbsp;&nbsp;<a href='".$_SERVER['PHP_SELF']."?accion=11'><img border = 0 src='img2/icono_01.png' alt='Modificar Clave'>&nbsp;Modificar Clave</a>";
echo "<hr><h2>Consulta de Historicos de N&oacute;minas Auditadas</h2>";

echo " <form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>
		<input type='hidden' name='bandera' value = '1'>
		<table align='center'>";
		
		echo "<tr>";
			echo "<td align = 'right'> <font size=3>Per&iacute;odo a Consultar: </font></td>";
			echo "<td align = 'left'> <select style='width:200px;' name = 'per'>";
				$consulta="select distinct per from historico_recibos where id='".$_SESSION['id_validar']."' and ced='".$_SESSION['usuario_validar']."' order by orden desc";
				$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
				while ($row = mysqli_fetch_array( $resultado ) ) {
					echo "<option value='".$row['per']."'>";
						if (substr($row['per'],1,1)==',') echo substr($row['per'],7,30);
						else if (substr($row['per'],2,1)==',') echo substr($row['per'],8,30);				
						else echo $row['per'];				
				}
			echo "</select></td>";
		echo "</tr>";
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='image' src='img2/boton_buscar.jpg' value='Procesar Reporte'>";
		echo "</td></tr>";
	echo "</table></form>";
echo "<center><font color=red>".$mensaje."</font></center>";


///////////////////////////////////////////////// cambiar clave ////////////////////////////////////////////////////////////////
if ($accion==11) {
			echo " <br><br><form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."' enctype='multipart/form-data'>
			<input type = 'hidden' name = 'bandera' value = '2'>
			<table align='center'>
				<tr>
					<td></td>
					<td colspan=2 align='right'>Email Actual:</font></td>
					<td colspan=2 align=''><input name='email' size = '50' maxlength = '50' value='".$_SESSION['email_validar']."'></font></td>
					<td></td>
				</tr>
				<tr>
					<td></td>
					<td colspan=2 align='right'>Nuevo Password:</font></td>
					<td colspan=2 align=''><input name='pass1' size = '20' maxlength = '20'></font></td>
					<td></td>
				</tr>
				<tr>
					<td></td>
					<td colspan=2 align='right'>Repita nuevo Password:</font></td>
					<td colspan=2 align=''><input name='pass2' size = '20' maxlength = '20'></font></td>
					<td></td>
				</tr>
				<tr>
					<td></td>
					<td colspan=2 align='right'></td>
					<td colspan=2 align=''><input name='procesar' type = 'submit' value = 'Cambiar Password'></font></td>
					<td></td>
				</tr>
			</tr>
			</table>
			<script language='JavaScript' type='text/JavaScript'>
				document.entrada.pass1.focus()
			</script>
			</form>";
} 

///////////////////////////////////////////////// cambiar clave ////////////////////////////////////////////////////////////////
if ($_POST['bandera']==1) {
	?>
	<center>
	<h3>			
	<? 
	echo 'Per&iacute;odo: '.$_POST['per']; ?></h3>			
	<?		
	$pced=trim($_SESSION['usuario_validar']);
	$per=trim($_POST['per']);
	$consulta="select * from historico_recibos where id='".$_SESSION['id_validar']."' and trim(ced)='$pced' and trim(per)='$per' and (a+d+s<>0) order by xxx";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	if (mysqli_num_rows($resultado)!=0) {
		echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#045FB4' >";
		echo "<th align=left><font size=2 color=white> Codigo</font></th>";
		echo "<th align=left><font size=2 color=white> Concepto </font></th>";
		echo "<th align='right'><font size=2 color=white> Asignación </font></th>";
		echo "<th align='right'><font size=2 color=white> Deducción </font></th>";
		echo "<th align='right'><font size=2 color=white> Saldo </font></th>";
		echo "</tr>";
		for ($cont=0;$cont<mysqli_num_rows($resultado);$cont++) {
			$color=!$color;
			if ($color) echo '<tr bgcolor="#f6f6f6" >';
			else echo '<tr bgcolor="#D8D8D8">';
			$row = mysqli_fetch_array($resultado);					
			$ta+=$row['a'];
			$td+=$row['d'];
			echo "<td width='100' align=left><font size=2 color = 'blue'>".$row['cod']."</td>";
			echo "<td width='300' align=left><font size=2 color = 'blue'>".$row['con']."</td>";
			echo "<td width='150' align='right'><font size=2 color = 'blue'>".($row['a']==0?'':number_format($row['a'],2))."</td>";
			echo "<td width='150' align='right'><font size=2 color = 'red'>".($row['d']==0?'':number_format($row['d'],2))."</td>";
			echo "<td width='150' align='right'><font size=2 color = 'black'>".($row['s']==0?'':number_format($row['s'],2))."</td>";
			echo '</tr>';
		}
		echo "<tr bgcolor='#045FB4'><td colspan=2><font color=white>Totales</font></td>";
		echo "<td align=right><font size=2  color=white>".number_format($ta,2)."</td>";
		echo "<td align=right><font size=2  color=white>".number_format($td,2)."</td>";
		echo "<td align=right><font size=2  color=white><b><u>".number_format($ta-$td,2)."</b></u></td>";
		echo '</table>';
		
		echo "<br><center><font face='verdana' size='2' color='black'><b>Opci&oacute;n:</b> 	
		<a target='_blank' href='menu_personal_recibo_imprimir.php?ced=".$pced."&per=".$per."'>Imprimir Recibo?</a></font></center>";
		
	} else {	
		echo "<font face='verdana' size='2' color='red'>No hay Información de pago en este registro...</font>";
	}
			
} 
?>